
#  Integration Test for //data/vehicle_data_sync/run_vehicle_data_sync_script.sh script.
---
- hosts: '{{ host_group }}'
  user: zoox

  vars:
    REPO_NAME: driving
    INGEST_USER: zoox
    REPO_DIR: "/home/{{INGEST_USER}}/{{REPO_NAME}}"

  tasks:
  - name: Run integration test.
    shell: "source {{REPO_DIR}}/scripts/shell/zooxrc.sh && bazel run //data/vehicle_data_sync/test/ci:kiosk_integration_test -- {{disk_name}}"
    args:
      chdir: "{{ REPO_DIR }}"
      executable: /bin/bash
